

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class EmployeeBean implements EmployeeServiceLocal, EmployeeServiceRemote {
  @PersistenceContext(unitName = "EmployeeService")
  private EntityManager em;


  public EmployeeBean() {
  }

  @TransactionAttribute(TransactionAttributeType.REQUIRED)
  public void doAction() {
    Employee emp = new Employee();
    emp.setFirstName("first");
    em.persist(emp);

  }
  public <T> T mergeEntity(T entity) {
    return em.merge(entity);
  }

  public <T> T persistEntity(T entity) {
    em.persist(entity);
    return entity;
  }

  public <T> T refreshEntity(T entity) {
    em.refresh(entity);
    return entity;
  }

  public void removeEntity(Object entity) {
    em.remove(em.merge(entity));
  }
}
